Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 175153 - Support http 302 redirect requests in rhnlib
Summary: Support http 302 redirect requests in rhnlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Beth Nackashi
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-12-06 23:20 UTC by Jason Connor
Modified: 2014-03-31 01:38 UTC (History)
2 users (show)

Fixed In Version: RHEA-2006-0470
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:54:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2006:0470 normal SHIPPED_LIVE rhnlib enhancement update 2006-07-19 19:39:00 UTC

Description Jason Connor 2005-12-06 23:20:57 UTC
This support is already there. We need to verify that it works. The biggest pain
in all this will be setting up a test environment. I'll work with Akamai to get
access to test servers.

Comment 1 Pradeep Kilambi 2006-04-12 15:49:13 UTC
This capability has been added in the rhnlib module which acts as a gateway
between the client(up2date/satsync) and hosted/akamai edge-nwk.

Basically the rpclib is modified such that the fail-over and redirect are
handled at the same place.  

Implemented Flow:
- when you run up2date it starts with POST and GET request for login and pkg hdr
 info respectively

- for every package a GET request is sent to hosted .
- hosted redirects with 302 back to the client with akamai url
- client sends a request to akamaized url for pkg.
- we fill the headers with pkg info and redirect paths for akamai use in case of
failure or redirect. 
- if package avaiable:
     downlods it
- elif 4xx or 5xx from akamai:
     #send the request back to hosted, set no-redirect flag (avoid loops)
     #download pkg 
- elif 302 from akamai:
     #sends a 302 back to the redirect url and if hosted downloads the pkg.






Comment 3 Bret McMillan 2006-05-02 19:26:37 UTC
summary changed to properly reflect what package got modified

Comment 4 Fanny Augustin 2006-05-02 20:46:05 UTC
It was decided that the client portion of the ISO Pkg Redirect should be deliver
with with the RHN-RHEL3.8 and RHN-RHEL4.4 update agent release

Comment 5 Fanny Augustin 2006-05-02 20:48:12 UTC
RHN Dev and RHN QA have agreed to develop and test this bug

Comment 7 Bret McMillan 2006-05-03 21:12:46 UTC
Moving component to RHEL for errata reasons.  Note that the server side bits for
302 are not going into 410, they will be turned on at a later point.  Testing
right now should be regression testing.

Comment 12 Fanny Augustin 2006-05-09 19:36:17 UTC
This bug has been fixed in this release

Comment 18 Red Hat Bugzilla 2006-07-20 14:54:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0470.html



Note You need to log in before you can comment on or make changes to this bug.